Orxonox: orxonox::Namespace Class Reference

# orxonox::Namespace Class Reference

`#include <src/core/Namespace.h>`

Inheritance diagram for orxonox::Namespace:

List of all members.

## Public Member Functions

const std::string & | getOperator () const
bool | includes (const Namespace *ns) const
bool | isAutogenerated () const
bool | isIncludedIn (const Namespace *ns) const
void | loadObjects (BaseObject *object)
| Namespace (BaseObject *creator)
const BaseObject * | saveObjects (unsigned int index) const
void | setAutogenerated (bool bAutogenerated)
void | setOperator (const std::string &op)
void | setRoot (bool bRoot)
std::string | toString (const std::string &indentation) const
std::string | toString () const
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~Namespace ()

## Private Attributes

bool | bAutogeneratedFileRootNamespace_
bool | bRoot_
std::string | operator_
std::set< NamespaceNode * > | representingNamespaces_

## Constructor & Destructor Documentation

orxonox::Namespace::Namespace | ( | BaseObject * | creator | ) |

References RegisterObject.

orxonox::Namespace::~Namespace | ( |  | ) | `[virtual]`

References bRoot_, and representingNamespaces_.

## Member Function Documentation

const std::string& orxonox::Namespace::getOperator | ( |  | ) | const`[inline]`

References operator_.

Referenced by XMLPort().

bool orxonox::Namespace::includes | ( | const Namespace * | ns | ) | const

References operator_, and representingNamespaces_.

Referenced by isIncludedIn().

bool orxonox::Namespace::isAutogenerated | ( |  | ) | const`[inline]`

References bAutogeneratedFileRootNamespace_.

Referenced by XMLPort().

bool orxonox::Namespace::isIncludedIn | ( | const Namespace * | ns | ) | const`[inline]`

References includes().

void orxonox::Namespace::loadObjects | ( | BaseObject * | object | ) |

Referenced by XMLPort().

const BaseObject * orxonox::Namespace::saveObjects | ( | unsigned int | index | ) | const

Referenced by XMLPort().

void orxonox::Namespace::setAutogenerated | ( | bool | bAutogenerated | ) | `[inline]`

References bAutogeneratedFileRootNamespace_.

Referenced by XMLPort().

void orxonox::Namespace::setOperator | ( | const std::string & | op | ) | `[inline]`

References operator_.

Referenced by XMLPort().

void orxonox::Namespace::setRoot | ( | bool | bRoot | ) | `[inline]`

References bRoot_.

Referenced by orxonox::Loader::load().

std::string orxonox::Namespace::toString | ( | const std::string & | indentation | ) | const

References representingNamespaces_.

std::string orxonox::Namespace::toString | ( |  | ) | const

References representingNamespaces_.

Referenced by orxonox::Loader::load().

void orxonox::Namespace::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::BaseObject.

References bAutogeneratedFileRootNamespace_, bRoot_, orxonox::BaseObject::getName(), orxonox::BaseObject::getNamespace(), getOperator(), isAutogenerated(), loadObjects(), representingNamespaces_, saveObjects(), setAutogenerated(), setOperator(), orxonox::SubString::size(), SUPER, XMLPortObjectExtended, and XMLPortParam.

Referenced by orxonox::Loader::load().

## Member Data Documentation

bool orxonox::Namespace::bAutogeneratedFileRootNamespace_`[private]`

Referenced by isAutogenerated(), setAutogenerated(), and XMLPort().

bool orxonox::Namespace::bRoot_`[private]`

Referenced by setRoot(), XMLPort(), and ~Namespace().

std::string orxonox::Namespace::operator_`[private]`

Referenced by getOperator(), includes(), and setOperator().

std::set<NamespaceNode*> orxonox::Namespace::representingNamespaces_`[private]`

Referenced by includes(), toString(), XMLPort(), and ~Namespace().

The documentation for this class was generated from the following files:

- src/core/Namespace.h
- src/core/Namespace.cc